Community
Civil 3D Forum
Welcome to Autodesk’s Civil 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Civil 3D topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

ARC length

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
mcloughlin
5226 Views, 4 Replies

ARC length

How does one create an arc of a specified length? For instance, as shown in the appended sketch, we want to create an arc of, say, 500 feet in length with a radius of 1,000 feet.  Logic suggested that we use the arc Center, Start, Length drawing routine, but this appears to calculate only the length of the CHORD of an arc, leaving us with an actual ARC length of 505.36 feet.  That doesn't work for us.  

 

So. How do we create an arc of a specified length?

 

Many thanks!

 

Arc Length 20 Jun 2014.jpg

4 REPLIES 4
Message 2 of 5
tcorey
in reply to: mcloughlin

From the Draw panel of the Home tab in the Civil 3D workspace, use the Curves functions, not the Arc functions. If you have an existing object, you can use Curve from end of Object. This will let you specify an arc length or chord length.

 

 



Tim Corey
MicroCAD Training and Consulting, Inc.
Redding, CA
Autodesk Gold Reseller

New knowledge is the most valuable commodity on earth. -- Kurt Vonnegut
Message 3 of 5
rkmcswain
in reply to: mcloughlin

If you just want to use standard AutoCAD tools, draw a circle, break it, use Lengthen Total to set the length.
R.K. McSwain     | CADpanacea | on twitter
Message 4 of 5
Pointdump
in reply to: mcloughlin

McL,

 

Don't forget the Curve Calculator:

 

Curve Calc.png

 

Dave

Dave Stoll
Las Vegas, Nevada

EESignature

64GB DDR4 2400MHz ECC SoDIMM / 1TB SSD
NVIDIA Quadro P5000 16GB
Windows 10 Pro 64 / Civil 3D 2024
Message 5 of 5
antoniovinci
in reply to: rkmcswain


rkmcswain wrote:
If you just want to use standard AutoCAD tools, draw a circle, break it, use Lengthen Total to set the length.

...or even simpler: draw an arc of R=1000 and any length, then _Lengthen suboption _Total.

 

Moreover, here's some code (source Augi):

 

;Written By: derek 'maverick' beals
;Version: a
;Date: 9-26-05
;Description: this lisp routine draws an arc at given length & radius

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Non-Standard Lisp Functions

(defun rtd (r) ; Radians to Degrees
(/ (* r 180.0) pi))

(defun dtr (d) ; Degrees to Radians
(/ (* d pi) 180.0))

(defun tan (a) ; Tangent of variable (a) in Radians
(/ (sin a) (cos a)))

(defun sqr (a) (* a a)) ; Squares the variable (a)

(defun fixx (realnum) ; Rounds the variable (realnum) to the next highest whole integer (opposite of the "fix" function)
(if (> realnum (+ (fix realnum) 0))
(setq realnum (1+ (fix realnum)))
(setq realnum (fix realnum))
)
realnum
)

;(setq variable (ssget)) - allows multiple picks in lisp

;(setq OS (getvar "osmode"))...(setvar "osmode" OS) - gets current O-snap settings @ front of lisp, then reestablishes them at the end

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Lisp Programming starts here


(setq LENG (getdist "\nEnter length of arc: ")
RAD (getdist "\nEnter radius of arc: ")
CEN (getpoint "\nPick center point of arc: ")
ANG (/ LENG RAD)
ANG1 (/ (- PI ANG) 2.0)
ANG2 (/ (+ PI ANG) 2.0)
ARC (entmake (list
(cons 0 "ARC")
(cons 10 CEN)
(cons 40 RAD)
(cons 50 ANG1)
(cons 51 ANG2)))
)
(princ)

 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Rail Community


Autodesk Design & Make Report